import request from '@/utils/http'

/**
 * 后台操作指南 API
 */
export default {
  /**
   * 读取 Markdown 内容
   */
  read() {
    return request.get<Api.Common.ApiData>({
      url: '/core/adminGuide/read'
    })
  },

  /**
   * 保存 Markdown 内容
   */
  save(params: { content: string }) {
    return request.post<Api.Common.ApiData>({
      url: '/core/adminGuide/save',
      data: params,
      showSuccessMessage: true
    })
  }
}
